petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDSGetComponentOffsets

Returns the offset of each field on an evaluation point

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetComponentOffsets(PetscDS prob, PetscInt *offsets[])

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

offsets -The offsets

### See Also

PetscDSGetBdFieldOffset(), PetscDSGetNumFields(), PetscDSCreate()

Level:beginner
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages